## org.hornetq.rest.util
Class LinkHeaderLinkStrategy

    java.lang.Object
      org.hornetq.rest.util.LinkHeaderLinkStrategy

All Implemented Interfaces:
  LinkStrategy

    public class LinkHeaderLinkStrategy

extends java.lang.Object
implements LinkStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`LinkHeaderLinkStrategy()`

Method Summary
`void` `setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder, org.jboss.resteasy.spi.Link link)`
`void` `setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String title, java.lang.String rel, java.lang.String href, java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkHeaderLinkStrategy

    public LinkHeaderLinkStrategy()

Method Detail

### setLinkHeader

    public void setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder,
                              java.lang.String title,
                              java.lang.String rel,
                              java.lang.String href,
                              java.lang.String type)

  Specified by:
    `setLinkHeader` in interface `LinkStrategy`
  Parameters:
    `builder` -
    `title` - user friendly name
    `rel` - could be a link
    `href` -
    `type` -

### setLinkHeader

    public void setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder,
                              org.jboss.resteasy.spi.Link link)

Copyright © 2013. All Rights Reserved.